Bug 2005258 (CVE-2021-20317) - CVE-2021-20317 kernel: timer tree corruption leads to missing wakeup and system freeze
Summary: CVE-2021-20317 kernel: timer tree corruption leads to missing wakeup and syst...
Keywords:
Status: NEW
Alias: CVE-2021-20317
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2007096 2007099 2007094 2007095 2014675 2014676 2014677 2018218 2018219 2018220
Blocks: 2006769 2001432
TreeView+ depends on / blocked
 
Reported: 2021-09-17 09:09 UTC by Dhananjay Arunesh
Modified: 2021-11-30 15:52 UTC (History)
45 users (show)

Fixed In Version: Linux Kernel 5.4-rc1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A corrupted timer tree caused the task wakeup to be missing in the timerqueue_add function in lib/timerqueue.c. This flaw allows a local attacker with special user privileges to cause a denial of service, slowing and eventually stopping the system while running OSP. The highest threat from this vulnerability is system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4646 0 None None None 2021-11-15 10:10:26 UTC
Red Hat Product Errata RHSA-2021:4647 0 None None None 2021-11-15 11:21:01 UTC
Red Hat Product Errata RHSA-2021:4648 0 None None None 2021-11-15 10:13:13 UTC
Red Hat Product Errata RHSA-2021:4650 0 None None None 2021-11-15 11:06:08 UTC
Red Hat Product Errata RHSA-2021:4871 0 None None None 2021-11-30 15:52:53 UTC
Red Hat Product Errata RHSA-2021:4875 0 None None None 2021-11-30 15:36:27 UTC

Description Dhananjay Arunesh 2021-09-17 09:09:53 UTC
A vulnerability was found due to a corrupted timer tree that caused a task wakeup to be missing in timerqueue_add in lib/timerqueue.c. This flaw may allow a local attacker with special user privilege to cause a denial of service problem, and system slowly dies while running OSP.

Upstream commit:

https://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git/commit/?id=511885d7061eda3eb1faf3f57dcc936ff75863f1

Comment 10 Salvatore Bonaccorso 2021-09-24 06:20:06 UTC
Hi, the fixed version should probably be 5.4-rc1. Is this correct? The documentation text mentions 5.3-rc1.

Comment 11 Petr Matousek 2021-09-24 09:11:08 UTC
In reply to comment #10:
> Hi, the fixed version should probably be 5.4-rc1. Is this correct? The
> documentation text mentions 5.3-rc1.

you are right, thank you. fixed.

Comment 12 Salvatore Bonaccorso 2021-09-24 18:53:00 UTC
(In reply to Petr Matousek from comment #11)
> In reply to comment #10:
> > Hi, the fixed version should probably be 5.4-rc1. Is this correct? The
> > documentation text mentions 5.3-rc1.
> 
> you are right, thank you. fixed.

Thanks for confirming and fixing up the fixed version information.

Comment 13 errata-xmlrpc 2021-11-15 10:10:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4646 https://access.redhat.com/errata/RHSA-2021:4646

Comment 14 errata-xmlrpc 2021-11-15 10:13:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2021:4648 https://access.redhat.com/errata/RHSA-2021:4648

Comment 15 errata-xmlrpc 2021-11-15 11:06:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2021:4650 https://access.redhat.com/errata/RHSA-2021:4650

Comment 16 errata-xmlrpc 2021-11-15 11:20:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4647 https://access.redhat.com/errata/RHSA-2021:4647

Comment 17 errata-xmlrpc 2021-11-30 15:36:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:4875 https://access.redhat.com/errata/RHSA-2021:4875

Comment 18 errata-xmlrpc 2021-11-30 15:52:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:4871 https://access.redhat.com/errata/RHSA-2021:4871


Note You need to log in before you can comment on or make changes to this bug.